      program test
      implicit none
      integer loopcounter /0/         ! iteration tick
      integer total_ticks /0/         ! # of ticks in test
      integer foo                     ! test gdb output variable

      foo = 99
      do

         call sleep(0)

         total_ticks=22
         loopcounter = 0
         do while (loopcounter .lt. total_ticks)
            loopcounter = loopcounter + 1
            foo = loopcounter
         end do
      end do
      stop
      end
